[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

System.map Errors



Hi,

I have seen this error talked about a lot on mailing lists, but have not
been able to find a solution to it.  I have only seen this error since
enabling module support and it seems to be related to the loading of
eth1 which is a HappyMeal 10/100 card.

When I do a ps or anything else which accesses the kernel I will get the
following message:

{iommu_lockarea} {___f_mmu_lockarea}
Warning: /boot/System.map-2.2.19 does not match kernel data.
{iommu_lockarea} {___f_mmu_lockarea}
Warning: /usr/src/linux/System.map does not match kernel data.

I have checked the relevant files and my System.map file is definately
the correct version.  I coped /usr/src/linux/System.map into /boot and
it was created when the kernel was compiled.

Here is the versioning information of my system which is a Sparc 5
running Debian Potatoe 2.2:

Linux hantu 2.2.19 #1 Wed Feb 20 18:39:04 GMT 2002 sparc unknown

Gnu C                  2.95.2
Gnu make               3.79.1
binutils               2.9.5.0.37
mount                  2.10f
modutils               2.3.11
e2fsprogs              1.18
Linux C Library        2.1.3
Dynamic linker (ldd)   1.9.11
Procps                 2.0.6
Net-tools              1.54
Console-tools          0.2.3
Sh-utils               2.0
Modules Loaded         sunhme sunlance


Thanks in advance,
Chris

Attachment: pgpkmzF2HiCCd.pgp
Description: PGP signature


Reply to: